[Setup]
AppName=theworld

[FileToRun]
PathToExe=.\$AppName$.exe
Parameters=--user-data-dir="%Profile%" --no-default-browser-check --disable-background-networking --disable-component-update --allow-outdated-plugins --user-agent="Mozilla/5.0 (Mobile; Windows Phone 8.1; Android 4.0; ARM; Trident/7.0; Touch; rv:11.0; IEMobile/11.0; NOKIA; Lumia 635) like iPhone OS 7_0_3 Mac OS X AppleWebKit/537 (KHTML, like Gecko) Mobile Safari/537"

[Environment]
Profile=.\User Data
Registry=%Profile%\Registry
 
[Functions]
DirCreate=%Profile%|%Registry%

[WriteToReg=%Registry%\$AppName$_1.reg]
MainKey=HKEY_CURRENT_USER\Software\TheWorld6
[WriteToReg=%Registry%\$AppName$_2.reg]
MainKey=HKEY_CURRENT_USER\Software\Google\Chrome\Extensions
[WriteToReg=%Registry%\$AppName$_3.reg]
MainKey=HKEY_CURRENT_USER\Software\MozillaPlugins

[RunBefore]
RegEdit=%Registry%\$AppName$_1.reg;$AppName$_2.reg;$AppName$_3.reg

[RunAfter]
DirRemove=%Profile%\theme|e
FileDelete=%Profile%\*-journal*;chrome_shutdown_ms*;
FileDelete=%Profile%\Default\*.tmp;*-journal
DirRemove=%Profile%\Default\Cache
DirRemove=%Profile%\Default\GPUCache
DirRemove=%Profile%\Default\Media Cache
DirRemove=%Profile%\Default\Pepper Data
DirRemove=%Profile%\Default\JumpListIconsOld
DirRemove=%Profile%\Default\data_reduction_proxy_leveldb

[Options]
DeleteTemp=true
ShowSplash=false
WriteLog=false
ShowTrayTip=false